### Function

# Gimp gimprc_query

#### Declaration [src]

    gchar*
    gimp_gimprc_query (
      const gchar* token
    )

#### Description [src]

Queries the gimprc file parser for information on a specified token.

This procedure is used to locate additional information contained in the gimprc file considered extraneous to the operation of GIMP. Plug-ins that need configuration information can expect it will be stored in the user gimprc file and can use this procedure to retrieve it. This query procedure will return the value associated with the specified token. This corresponds only to entries with the format: (<token> <value>). The value must be a string. Entries not corresponding to this format will cause warnings to be issued on gimprc parsing and will not be queryable.

#### Parameters

`token`

  Type: `const gchar*`

  The token to query for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The value associated with the queried token. The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.